> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Nexus Statements IDs

> Searches system for Nexus statement IDs. At least one search parameter is required.

*Response Body Structure*

| Type | Description |
| --- | --- |
| `Array` | List of AP Nexus Statement IDs |



## OpenAPI

````yaml /tango_watchwire/integrations/guides/watchwire-api.yaml get /statement/nexus/ids
openapi: 3.1.0
info:
  title: WatchWire API
  version: 1.0.0
  description: >-
    The WatchWire Platform has APIs that allow you to access your data
    programmatically. There are several APIs designed for the modules in the
    WatchWire platform including - Invoice Data, Real-Time, Accounts Payable,
    and Measurement & Verification. All are highly scalable, and secure APIs
    that communicate over HTTPS RESTful protocols with JSON based documents.


    > **Note**: Not all WatchWire modules are available as an API.


    # Authentication


    You need credentials to access the APIs - it is the same credentials as your
    WatchWire login. The `/authenticate` will return a Token that needs to be
    included in the header of every subsequent request. The token renews with
    each request and expires after 60 minutes of inactivity (at which point you
    will need to re-authenticate and get a new token).


    > Please contact the WatchWire team for any questions or request for API
    credential access.


    # Error Codes


    There will be various error codes specific to the API you are using, but
    generally follows these principles:


    *   `Unauthorized` - *you are unauthenticated or unauthorized to request
    actions on an asset*

    *   `Asset doesn't exist` - *the item you are querying for doesn't exist*

    *   `Server error`\- *general exception raised in our application code*
        

    # Rate limit


    Rate limited to 10 transactions per meter / second
servers:
  - url: https://auth.replace-me.example.com
    description: Authentication service (Postman variable {{ww-api-baseurl}})
  - url: https://realtime.replace-me.example.com
    description: RealTime API (Postman variable {{gateway-realtime-api}})
  - url: https://ap.replace-me.example.com
    description: Accounts Payable API (Postman variable {{gateway-ap-api}})
  - url: https://invoice.replace-me.example.com
    description: Invoice API (Postman variable {{portal-api-baseurl}})
  - url: https://mv.replace-me.example.com
    description: Measurement & Verification API (Postman variable {{invoice-api}})
security:
  - BearerAuth: []
tags:
  - name: Authentication
  - name: RealTime API - Custom Meter
  - name: RealTime API - Meter Readings
  - name: RealTime API - Meter Readings Aggregations
  - name: RealTime API - Meter Readings Batch Operations
  - name: RealTime API - Obvius Meter Readings
  - name: Accounts Payable API - Audit Statements
  - name: Accounts Payable API - Nexus Statements
  - name: Accounts Payable API - Standard Statements
  - name: Accounts Payable API - Statement PDFs
  - name: Invoice API - Reference IDs
  - name: Invoice API - Invoice
  - name: Measurement & Verification API - M&V
paths:
  /statement/nexus/ids:
    get:
      tags:
        - Accounts Payable API - Nexus Statements
      summary: Search Nexus Statements IDs
      description: >-
        Searches system for Nexus statement IDs. At least one search parameter
        is required.


        *Response Body Structure*


        | Type | Description |

        | --- | --- |

        | `Array` | List of AP Nexus Statement IDs |
      operationId: searchNexusStatementsIds
      parameters:
        - name: accountId
          in: query
          required: false
          schema:
            type: integer
          description: EnergyWatch account identifier
        - name: clientId
          in: query
          required: false
          schema:
            type: integer
          description: EnergyWatch client node identifier
        - name: controlAmount
          in: query
          required: false
          schema:
            type: number
          description: The invoice total
        - name: controlCode
          in: query
          required: false
          schema:
            type: string
          description: EnergyWatch Control Code identifier for PDFs
        - name: integrationPackageName
          in: query
          required: false
          schema:
            type: string
          description: Name of the integration package
        - name: invoiceBudgetOverageNote
          in: query
          required: false
          schema:
            type: string
          description: Budget overage notes
        - name: invoiceDateTm
          in: query
          required: false
          schema:
            type: string
            format: date
          description: An invoice date
        - name: invoiceDueDate
          in: query
          required: false
          schema:
            type: string
            format: date
          description: A due date
        - name: invoiceNote
          in: query
          required: false
          schema:
            type: string
          description: Notes
        - name: invoicePeriod
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Period for the invoice in (where day is always 01)
        - name: invoiceRef
          in: query
          required: false
          schema:
            type: string
          description: The invoice number
        - name: propertyIdAlt
          in: query
          required: false
          schema:
            type: string
          description: Property code
        - name: shipping
          in: query
          required: false
          schema:
            type: number
          description: The total shipping amount for the invoice
        - name: statementId
          in: query
          required: false
          schema:
            type: integer
          description: EnergyWatch statement identifier
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - ERROR
              - NEW
              - PROCESSED
              - RETRIEVED
              - SYSTEM_UPDATED
              - UPDATED
          description: >-
            Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED,
            UPDATED
        - name: statusMessage
          in: query
          required: false
          schema:
            type: string
          description: Status message
        - name: tax
          in: query
          required: false
          schema:
            type: number
          description: The total tax amount for the invoice
        - name: universalField1
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField2
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField3
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField4
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField5
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField6
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField7
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: universalField8
          in: query
          required: false
          schema:
            type: string
          description: Value for a custom field
        - name: userProfileUsername
          in: query
          required: false
          schema:
            type: string
          description: >-
            The username of the user who will be considered the creator of the
            invoice
        - name: uuid
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Energywatch universally unique identifier
        - name: vendorIdAlt
          in: query
          required: false
          schema:
            type: string
          description: Vendor code
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: integer
              example:
                - 123
        '401':
          description: Unauthorized - missing, invalid or expired token
      security:
        - BearerAuth: []
      servers:
        - url: https://ap.replace-me.example.com
          description: Accounts Payable API (Postman variable {{gateway-ap-api}})
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token returned by `POST /authenticate`. Expires after 60 minutes of
        inactivity.

````